Bug 41369 - Installer Crashes when assigning partitions
Installer Crashes when assigning partitions
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-19 10:14 EDT by Matt Ruggles
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-30 12:30:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bug output from anaconda (10.48 KB, text/plain)
2001-05-19 10:15 EDT, Matt Ruggles
no flags Details

  None (edit)
Description Matt Ruggles 2001-05-19 10:14:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
Upon choosing custom installation, and choosing to manually assign 
partitions using disk druid the installer crashes and drops out of GUI and 
propmpts you to reboot. 

If you allow the installer to assign partitions automatically, it proceeds 
to the install LILO screen. Upon selecting default boot partitions and 
clicking next. The installer again crashses and shows bug report. Then 
reboots. 

Also installer hangs if you run normal installation at RedHat Linux screen
On my PC you have to run LOWRES to get this far ! 
Installer also crashes on text only install. 

How reproducible:
Always

Steps to Reproduce:
1.Insert Redhat 7.1 CD and boot using LOWRES or TEXT
2.Proceed until you are asked what to do with partitions
3.Choose option to assign partitions manually with disk druid.
4.Installer crashes. 

OR...

1.Insert redhat 7.1 cd and boot using LOWRES or TEXT
2.Proceed until you are asked what to do with partitions 
3.Choose option to automatically assign partitions 
4.On install LILO screen, choose default boot partition and click next
5.Installer crases. 


	

Actual Results:  Installer crashes (see attatchment when uploaded)

Expected Results:  In case 1, manual partitions, you should SEE the 
partitions screen and allow you to create/edit/delete partitions and 
proceed to format and install them.

In case 2, installer should format partitions for you and proceed with 
installation. 


Additional info:

Computer configuration: 

Motherboard: IWILL KK266-R (Via KT-133A & VT82C686B chipset)
Processor  : Amd Athlon 1GHz Axia Y 
Memory     : Crucial 256MB PC133 CAS2 
Video Card : nVidia GeForce DDR
Hard Drive : Maxtor 91021U2 Hard Disk 
Other Hardware : Zip Drive IDE, Creative CDRW8438E CDWriter, SBLive 
Platinum. Realtek 8139C PCI network card.

Hard drive connected to ATA100 controller NOT the raid controller. 

Bug happens with other hard drives too.
Comment 1 Matt Ruggles 2001-05-19 10:15:12 EDT
Created attachment 19010 [details]
Bug output from anaconda
Comment 2 Brent Fox 2001-05-19 12:56:52 EDT
I am almost certain that your cd is bad.  The installer is trying to find the
map image for the timezone selection screen, and it can't find it on the
cd...there must be something wrong with the disc.  Did you download ISO's and
burn the cd yourself or did you buy it in the box set?  If you downloaded it, I
would try again from a different FTP site and try again.  Please reopen this bug
if this doesn't fix the problem.
Comment 3 Matt Ruggles 2001-05-19 13:18:56 EDT
I downloaded the CDs from ISO images from mirror.ac.uk redhat section. 

The CD is not bad it installs perfectly on my PIII machine. 

Thanks for the reply tho.
Comment 4 Brent Fox 2001-05-20 01:00:54 EDT
Can you check the md5sum of the ISO and make sure that it matches the one on the
FTP site?  Also, on the other machine that the cd worked on, were you doing a
text or GUI install?
Comment 5 Brent Fox 2001-05-30 12:30:03 EDT
Closing due to inactivity.  Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.